Skip to main content
POST
/
entities
/
asset
/
{asset_id}
/
callback
/
{event_id}
Event Handling Status Update
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/asset/{asset_id}/callback/{event_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "timestamp": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api-sandbox.axle.energy/entities/asset/{asset_id}/callback/{event_id}"

payload = { "timestamp": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({timestamp: '2023-11-07T05:31:56Z'})
};

fetch('https://api-sandbox.axle.energy/entities/asset/{asset_id}/callback/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

asset_id
string<uuid>
required
event_id
string
required

Query Parameters

asset_id_is_external
boolean
default:false

Body

application/json

Response for an asset event status update.

timestamp
string<date-time>
required

Timestamp for the response (UTC)

status
enum<string>
required

Status values for asset event handling.

  • RECEIVED: Event was received by the system
  • ACCEPTED: Event was accepted for processing
  • REJECTED: Event was rejected (invalid or not applicable)
  • FAILED: Event processing failed
  • EXECUTED: Event was successfully executed
Available options:
RECEIVED,
ACCEPTED,
REJECTED,
FAILED,
EXECUTED

Response

Status update successfully recorded